> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all products

> Get all products from a portal, up to 100 per request. By default you will only get a few system fields for any products in the response. If you want to get specific properties, you'll need to use the &properties= parameter in the request URL. The parameter can be included multiple times, so you can request any properties you may need. See the parameter descriptions below and the examples for more details.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-products-v1.json GET /crm-objects/v1/objects/products/paged
openapi: 3.0.0
info:
  title: CRM Products API v1
  version: 1.0.0
  description: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-introduction: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-api-use-case: >-
    To prepare for an upcoming product launch, use the products API to create a
    set of products to represent your new offerings. Sales reps can then use
    these products when creating payment links, invoices, and more.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/products/paged:
    get:
      summary: Get all products
      description: >-
        Get all products from a portal, up to 100 per request. By default you
        will only get a few system fields for any products in the response. If
        you want to get specific properties, you'll need to use the &properties=
        parameter in the request URL. The parameter can be included multiple
        times, so you can request any properties you may need. See the parameter
        descriptions below and the examples for more details.
      operationId: getcrmobjectsv1objectsproductspaged
      responses:
        '200':
          description: >-
            Successful response - Get all products from a portal, up to 100 per
            request
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get all products - Example 1
                  value:
                    - objectType: PRODUCT
                      portalId: 62515
                      objectId: 1642736
                      properties: {}
                      version: 2
                      isDeleted: false
                    - objectType: PRODUCT
                      portalId: 62515
                      objectId: 1642767
                      properties: {}
                      version: 1
                      isDeleted: false
                    - objectType: PRODUCT
                      portalId: 62515
                      objectId: 1642796
                      properties: {}
                      version: 2
                      isDeleted: false
                    - versions:
                        - name: price
                          value: '10.00'
                          timestamp: 1525287810508
                          source: API
                          sourceVid: []
                      value: '10.00'
                      timestamp: 1525287810508
                      source: API
                      sourceId: null
                    - versions:
                        - name: name
                          value: An updated product
                          timestamp: 1525287810508
                          source: API
                          sourceVid: []
                      value: An updated product
                      timestamp: 1525287810508
                      source: API
                      sourceId: null
                    - versions:
                        - name: description
                          value: This product has an updated description and price.
                          timestamp: 1525287810508
                          source: API
                          sourceVid: []
                      value: This product has an updated description and price.
                      timestamp: 1525287810508
                      source: API
                      sourceId: null
                    - versions:
                        - name: price
                          value: '27.50'
                          timestamp: 1525287096980
                          source: API
                          sourceVid: []
                      value: '27.50'
                      timestamp: 1525287096980
                      source: API
                      sourceId: null
                    - versions:
                        - name: name
                          value: A new product
                          timestamp: 1525287096980
                          source: API
                          sourceVid: []
                      value: A new product
                      timestamp: 1525287096980
                      source: API
                      sourceId: null
                    - versions:
                        - name: description
                          value: A description of this product.
                          timestamp: 1525287096980
                          source: API
                          sourceVid: []
                      value: A description of this product.
                      timestamp: 1525287096980
                      source: API
                      sourceId: null
                    - versions:
                        - name: price
                          value: '85.00'
                          timestamp: 1525292253568
                          source: API
                          sourceVid: []
                      value: '85.00'
                      timestamp: 1525292253568
                      source: API
                      sourceId: null
                    - versions:
                        - name: name
                          value: A second new product
                          timestamp: 1525289943771
                          source: API
                          sourceVid: []
                      value: A second new product
                      timestamp: 1525289943771
                      source: API
                      sourceId: null
                    - versions:
                        - name: description
                          value: >-
                            This is an updated product, it's getting a price
                            change.
                          timestamp: 1525292253568
                          source: API
                          sourceVid: []
                      value: This is an updated product, it's getting a price change.
                      timestamp: 1525292253568
                      source: API
                      sourceId: null
      security:
        - oauth2:
            - e-commerce
        - oauth2_legacy: []
        - private_apps:
            - e-commerce
        - private_apps_legacy: []
components: {}

````